%define oname   racc

Name:       ruby-%{oname}
Version:    1.4.6
Release:    %mkrel 3
Summary:    A LALR(1) parser generator
Group:      Development/Ruby
License:    LGPLv2
URL:        http://racc.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: rubygem(rake)
Requires:   ruby(abi) = 1.8

%description
Racc is a LALR(1) parser generator. It is written in Ruby itself, and
generates Ruby program.

%files
%defattr(-, root, root, -)
%{_bindir}/racc
%{_bindir}/racc2y
%{_bindir}/y2racc
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_sitearchdir}/%{oname}
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
#fix shebang
sed -i 's;#!.*;#!/usr/bin/env ruby;' bin/*
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
ruby -I"lib/" test/test_*.rb

%clean
rm -rf %{buildroot}



%changelog
* Sun Jan 30 2011 shikamaru <shikamaru> 1.4.6-3.mga1
+ Revision: 44752
- fix shebang

* Tue Jan 25 2011 shikamaru <shikamaru> 1.4.6-2.mga1
+ Revision: 39610
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 1.4.6-1.mga1
+ Revision: 36824
- imported package ruby-racc


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.4.6-2mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.4.5-5mdv2010.0
+ Revision: 433545
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.5-4mdv2009.0
+ Revision: 269235
- rebuild early 2009.0 package (before pixel changes)

* Sat May 10 2008 Pascal Terjan <pterjan@mandriva.org> 1.4.5-3mdv2009.0
+ Revision: 205434
- Add check section and some missing doc

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.4.5-2mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.4.5-2mdv2008.0
+ Revision: 16765
- Use Development/Ruby group
- Use std macros


* Mon Nov 21 2005 Pascal Terjan <pterjan@mandriva.org> 1.4.5-1mdk
- 1.4.5
- mkrel

* Sun Apr 17 2005 Pascal Terjan <pterjan@mandrake.org> 1.4.4-3mdk
- fix lib64

* Fri Oct 22 2004 Pascal Terjan <pterjan@mandrake.org> 1.4.4-2mdk
- rebuild

* Thu Dec 25 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.4.4-1mdk 
- first mdk release

